[Libreoffice-commits] .: solenv/bin

Norbert Thiebaud nthiebaud at kemper.freedesktop.org
Tue Feb 7 10:04:18 PST 2012


 solenv/bin/create-ids  |    8 +++++++-
 solenv/bin/create-tags |   11 +++++++++--
 2 files changed, 16 insertions(+), 3 deletions(-)

New commits:
commit 51a3d9c07c73f86455505a074fa01b88fb802852
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date:   Tue Feb 7 12:03:44 2012 -0600

    adapt create-tags/create-ids to the absence of set_soenv.in

diff --git a/solenv/bin/create-ids b/solenv/bin/create-ids
index 4561fb8..e4d3147 100755
--- a/solenv/bin/create-ids
+++ b/solenv/bin/create-ids
@@ -2,7 +2,13 @@
 
 # create ID file for the whole LibO tree. run it in toplevel dir
 
-. ./config_host.mk
+if [ -z "$INPATH" ] ; then
+   INPATH=$(grep "INPATH=" ./config_host.mk | sed -e "s/INPATH=//")
+fi
+if [ -z "$INPATH" ] ; then
+    echo "could not determine INPATH" >&2
+    exit 1
+fi
 
 # --with-outpath includes projects/$INPATH/inc (also solver/$INPATH/inc)
 if [ "$1" = "--with-outpath" ]; then
diff --git a/solenv/bin/create-tags b/solenv/bin/create-tags
index a2f640c..a61c5b6 100755
--- a/solenv/bin/create-tags
+++ b/solenv/bin/create-tags
@@ -1,6 +1,13 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
+
+if [ -z "$INPATH" ] ; then
+   INPATH=$(grep "INPATH=" ./config_host.mk | sed -e "s/INPATH=//")
+fi
+if [ -z "$INPATH" ] ; then
+    echo "could not determine INPATH" >&2
+    exit 1
+fi
 
-. ./config_host.mk
 
 omnicppoptions="--c++-kinds=+p --fields=+iaS --extra=+q"
 ctags -h "+.hdl.hrc" --langmap=c:+.hdl.hrc.src $omnicppoptions \


More information about the Libreoffice-commits mailing list